.TH WMFORKPLOP "1" "January 2008" "wmforkplop 0.9.3" "User Commands"
.SH NAME
wmforkplop \- Monitors forking activity and displays top CPU consuming processes.
.SH SYNOPSIS
.B wmforkplop
[\fIoptions\fR]
.SH DESCRIPTION
\fBwmforkplop\fP is a program that monitors the forking activity 
of the kernel and displays a list of the most CPU-consuming
processes. Although primarily aimed at Windowmaker, it will run on 
any window manager, either as a dockapp or as a standard X11 application.
.SS "Option list:"
.TP
\fB\-h\fR, \fB\-\-help\fR
print this.
.TP
\fB\-v\fR, \fB\-\-verbose\fR
increase verbosity
.TP
\fB\-V\fR, \fB\-\-version\fR
print version
.HP
\fB\-\-fontpath\fR path add a new directory to the font search directory list
.IP
default: \fB\-\-fontpath=\fR/usr/share/fonts/truetype (and subdirectories)
.TP
\fB\-\-fontpath=\fR/usr/share/fonts/ttf
(and subdirectories)
.TP
\fB\-\-fontpath=\fR$HOME/.fonts
(and subdirectories)
.TP
\fB\-\-font\fR
fontname/size
Set the 'small font' name/size in pixel
(default: \fB\-\-smallfont\fR=\fIVera\fR/6
The font name are case\-sensitive, and must correspound to the name
of a .ttf file which can be found in one of the fontpaths
By default, wmforkplop tries to load the following fonts:
.IP
* Vera/6, DejaVuSansMono/6, Andale_Mono/6, Verdana/6, Trebuchet_MS/7
.HP
\fB\-c\fR n, \fB\-\-colormap\fR=\fIn\fR
.IP
select colormap number n (0 <= n <= 5)
.HP
\fB\-g[\fR=\fIWxH\fR+x+y], \fB\-\-geometry[\fR=\fIWxH\fR+x+y]
.IP
start in window (i.e. undocked) mode with specified geometry (i.e \fB\-g\fR 96x32 or \fB\-g\fR 64x64+0+0)
.HP
\fB\-\-32\fR,  \fB\-\-48\fR,  \fB\-\-56\fR
.IP
start in a reduced dockapp, for people whose dock is too small too contain 64x64 dockapps
.HP
\fB\-\-no\-top\fR
.IP
disable the wmtop feature, you will only see the fork animation.
.HP
\fB\-\-no\-fork\fR
.IP
disable the fork animation, you will only see the list of top processes.
.HP
\fB\-\-threshold\fR=\fIn\fR
.IP
minimum CPU consumption (%) of a process listed in the top\-list (default 3%)
.HP
\fB\-u\fR n, \fB\-\-proc\-update\-delay\fR=\fIn\fR
.IP
set the delay between two reads of /proc, the default is 150 (milliseconds).
Setting a small value gives accurate results, but consumes more CPU as reading /proc is quite expensive.
.PP
See /usr/share/doc/wmforkplop/README.gz for more details.
.SH AUTHOR
This manual page was generated using help2man and edited by Varun
Hiremath <varun@debian.org>, for the Debian project (but may be used
by others).
